Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78690 - initscripts pppwatch could use glib2 instead of glib
Summary: initscripts pppwatch could use glib2 instead of glib
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-27 17:23 UTC by Bernd Kischnick
Modified: 2014-03-17 02:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 02:48:30 UTC


Attachments (Terms of Use)
patch for the src.rpm to use glib2 (deleted)
2002-11-27 17:25 UTC, Bernd Kischnick
no flags Details | Diff
patch to the spec. cleans up buildroot-filelist inconsistency, also. (deleted)
2002-11-27 17:29 UTC, Bernd Kischnick
no flags Details | Diff

Description Bernd Kischnick 2002-11-27 17:23:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:0.9.8) Gecko/20020310

Description of problem:
If you link pppwatch with glib2 instead of glib, then someday you can obsolete glib.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
rpm -qp --requires /tmp/initscripts-6.95-1.src.rpm
	

Actual Results:  glib-devel

Expected Results:  glib2-devel

Additional info:

Linking with glib2 instead of glib-1 works without effort.
No code changes are necessary, just a small change in the Makefile.
See attached patch.

You've got to have static libraries in glib2-devel, though --- 
see #78685

Comment 1 Bernd Kischnick 2002-11-27 17:25:35 UTC
Created attachment 86744 [details]
patch for the src.rpm to use glib2

Comment 2 Bernd Kischnick 2002-11-27 17:29:31 UTC
Created attachment 86745 [details]
patch to the spec. cleans up buildroot-filelist inconsistency, also.

Comment 3 Bill Nottingham 2003-01-14 02:48:30 UTC
Added in 7.03-1, thanks!


Note You need to log in before you can comment on or make changes to this bug.